//(function (jQuery) {

	jQuery(document).ready(function(){
		// button background color picker
		jQuery('#edit-buttonbackgroundcolor').ColorPicker({	
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery(el).val(hex);
				jQuery(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				jQuery(this).ColorPickerSetColor(this.value);
			},
			onChange: function (hsb, hex, rgb) {
				jQuery('#edit-buttonbackgroundcolor').val('#' + hex);
			}
		})
		.bind('keyup', function(){
			jQuery(this).ColorPickerSetColor(this.value);
		});
		// button text color picker
		jQuery('#edit-button-text-color').ColorPicker({	
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery(el).val(hex);
				jQuery(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				jQuery(this).ColorPickerSetColor(this.value);
			},
			onChange: function (hsb, hex, rgb) {
				jQuery('#edit-button-text-color').val('#' + hex);
			}
		})
		.bind('keyup', function(){
			jQuery(this).ColorPickerSetColor(this.value);
		});
		// header icon color picker
		jQuery('#edit-header-icon-background').ColorPicker({	
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery(el).val(hex);
				jQuery(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				jQuery(this).ColorPickerSetColor(this.value);
			},
			onChange: function (hsb, hex, rgb) {
				jQuery('#edit-header-icon-background').val('#' + hex);
			}
		})
		.bind('keyup', function(){
			jQuery(this).ColorPickerSetColor(this.value);
		});		
		// header text color picker
		jQuery('#edit-header-text-color').ColorPicker({	
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery(el).val(hex);
				jQuery(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				jQuery(this).ColorPickerSetColor(this.value);
			},
			onChange: function (hsb, hex, rgb) {
				jQuery('#edit-header-text-color').val('#' + hex);
			}
		})
		.bind('keyup', function(){
			jQuery(this).ColorPickerSetColor(this.value);
		});

		jQuery("input[name='isLinkEnabled']").click(function() {
		    var inputval = jQuery(this).val();
		    if( 'text_link' == inputval ){
		    	jQuery(".copybuttontext").slideDown();
		    	jQuery(".copybuttontext2").slideUp();	
		    } else {
		    	jQuery(".copybuttontext").slideUp();
		    	jQuery(".copybuttontext2").slideDown();		    	
		    }
		});
		var radioValue = jQuery("input[name='isLinkEnabled']:checked").val();
	    if( 'text_link' == radioValue ){
	    	jQuery(".copybuttontext").slideDown();
	    	jQuery(".copybuttontext2").css( 'display','none' );	
	    } else {
	    	jQuery(".copybuttontext2").slideDown();
	    	jQuery(".copybuttontext").css( 'display','none' );		    	
	    }

	    // Floating button checkbox
		var isButtonEnabled = jQuery("input[name='isButtonEnabled']:checked").val();
		jQuery("#edit-isbuttonenabled").click(
			function(){
				if ( jQuery( '#edit-isbuttonenabled' ).is( ':checked' ) ) {
					jQuery(".form-item-Image-Icon").slideDown();
				} else {
					jQuery(".form-item-Image-Icon").slideUp();
				}				
			}
		);
		if ( jQuery( '#edit-isbuttonenabled' ).is( ':checked' ) ) {
			//alert('checked');
			jQuery( '.form-item-Image-Icon' ).css( 'display','block' );
		} else {
			//alert('not');
			jQuery( '.form-item-Image-Icon' ).css( 'display','none' );
		}

		// isEmailEnabled.
		jQuery( '#edit-isemailenabled' ).click(
			function(){
				if ( jQuery( '#edit-isemailenabled' ).is( ':checked' ) ) {
					jQuery(".form-item-emailAddress").slideDown();
				} else {
					jQuery(".form-item-emailAddress").slideUp();
				}
			}
		);
		if ( jQuery( '#edit-isemailenabled' ).is( ':not(:checked)' ) ) {
			jQuery(".form-item-emailAddress").css('display','none');
		}

		// isPhoneEnabled.
		jQuery( '#edit-isphoneenabled' ).click(
			function(){
				if ( jQuery( '#edit-isphoneenabled' ).is( ':checked' ) ) {
					jQuery('.form-item-phoneNumber').slideDown();
				} else {
					jQuery('.form-item-phoneNumber').slideUp();
				}
			}
		);
		if ( jQuery( '#edit-isphoneenabled' ).is( ':not(:checked)' ) ) {
			jQuery('.form-item-phoneNumber').css('display','none');
		}

		// Request Form.
		jQuery( '#edit-form-enable' ).click(
			function(){
				if ( jQuery( '#edit-form-enable' ).is( ':checked' ) ) {
					jQuery('.form-item-form-link-text, .form-item-form-link-url').slideDown();
				} else {
					jQuery('.form-item-form-link-text, .form-item-form-link-url').slideUp();
				}
			}
		);
		if ( jQuery( '#edit-form-enable' ).is( ':not(:checked)' ) ) {
			jQuery('.form-item-form-link-text, .form-item-form-link-url').css('display', 'none');
		}

		// Google presonalize .
		jQuery( '#edit-isgooglepersonalizeenabled' ).click(
			function(){
				if ( jQuery( '#edit-isgooglepersonalizeenabled' ).is( ':checked' ) ) {
					jQuery('.personalizegroup').slideDown();
					jQuery('.form-item-isLSPAenable').slideDown();
				} else {
					jQuery('.personalizegroup').slideUp();
					jQuery('.form-item-isLSPAenable').slideUp();
				}
			}
		);
		if ( jQuery( '#edit-isgooglepersonalizeenabled' ).is( ':not(:checked)' ) ) {
			jQuery('.personalizegroup, .form-item-isLSPAenable').css('display', 'none');
		}

		// LSPA enable .
		jQuery( '#edit-isiabenabled' ).click(
			function(){
				if ( jQuery( '#edit-isiabenabled' ).is( ':checked' ) ) {
					jQuery('.form-item-isLSPAenable').slideDown();
				} else {
					jQuery('.form-item-isLSPAenable').slideUp();
				}
			}
		);
		if ( jQuery( '#edit-isiabenabled' ).is( ':not(:checked)' ) ) {
			jQuery('.form-item-isLSPAenable').css('display', 'none');
		}

		jQuery( "#edit-copy-button" ).click( 
			function(){
				var copyText = document.getElementById( "edit-link-text" );
				copyText.select();
				document.execCommand( "copy" );
				var x = this.getBoundingClientRect();
				//jQuery( '#edit-copy-button' ).html( "<div id='optouttooltipDiv'>Link Copied</div>" );
				jQuery("#edit-copy-button").before("<div id='optouttooltipDiv'>Link Copied</div>");
				jQuery( '#optouttooltipDiv' ).css( {"top":x.top - 45, "left": x.left, "display": "block"} );
			},
			jQuery("#edit-copy-button").mouseout(function() {
				jQuery( '#optouttooltipDiv' ).remove();
			}),
		);				

		jQuery( "#edit-copy-button2" ).click(
			function(e) {
				var copyText = document.getElementById( "edit-button-text" );
				copyText.select();
				document.execCommand( "copy" );
				var x = this.getBoundingClientRect();
				jQuery("#edit-copy-button2").before("<div id='optouttooltipDiv'>Button Copied</div>");
				jQuery( '#optouttooltipDiv' ).css( {"top":x.top - 45, "left": x.left, "display": "block"} );
			},
			jQuery("#edit-copy-button2").mouseout( function() {
				jQuery( '#optouttooltipDiv' ).remove();
			}),
		);
	});	
//})(jQuery);